# uproot.containers.STLList

Defined in uproot.containers on line 1552.

Inheritance order:
uproot.containers.Container `collections.abc.Sequence` `collections.abc.Reversible` `collections.abc.Collection` `collections.abc.Sized` `collections.abc.Iterable` `collections.abc.Container`

class uproot.containers.STLList(values)
  Parameters:

    values (`numpy.ndarray` or iterable) – Contents of the `std::list`.

  Representation of a C++ `std::list` as a Python `Sequence`.

## tolist

Inherited from uproot.containers.Container.

STLList.tolist()

  Convert the data this collection contains into nested lists, sets, and dicts.